# Applying Math with Python

<a href="https://www.packtpub.com/programming/applying-math-with-python?utm_source=github&utm_medium=repository&utm_campaign=9781838989750"><img src="https://www.packtpub.com/media/catalog/product/cache/bf3310292d6e1b4ca15aeea773aca35e/9/7/9781838989750-original_26.jpeg" alt="Applying Math with Python" height="256px" align="right"></a>

This is the code repository for [Applying Math with Python](https://www.packtpub.com/programming/applying-math-with-python?utm_source=github&utm_medium=repository&utm_campaign=9781838989750), published by Packt.

**Practical recipes for solving computational math problems using Python programming and its libraries**

## What is this book about?
Python, one of the world's most popular programming languages, has a number of powerful packages to help you tackle complex mathematical problems in a simple and efficient way. These core capabilities help programmers pave the way for building exciting applications in various domains such as machine learning and data science, using knowledge in the computational mathematics domain.

This book covers the following exciting features: 
* Get familiar with basic packages, tools, and libraries in Python for solving mathematical problems
* Explore various techniques that will help you to solve computational mathematical problems
* Understand the core concepts of applied mathematics and how you can apply them in computer science
* Discover how to choose the most suitable package, tool, or technique to solve a certain problem
* Implement basic mathematical plotting, change plot styles, and add labels to the plots using Matplotlib

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1838989757) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
if (test expression)
{
  Statement upon condition is true
}
```

**Following is what you need for this book:**
This book is for professional programmers and students looking to solve mathematical problems computationally using Python. Advanced mathematics knowledge is not a requirement, but a basic knowledge of mathematics will help you to get the most out of this book. The book assumes familiarity with Python concepts of data structures.

With the following software and hardware list you can run all code files present in the book (Chapter 1-10).

### Software and Hardware List

| Chapter  | Software required                   | OS required                        |
| -------- | ------------------------------------| -----------------------------------|
| 1 to 10  | Python 3.6 or above                 | Windows, Mac OS X, and Linux (Any) |
| 10       | Apache Kafka                        | Windows, Mac OS X, and Linux (Any) |

## Code in Action

Click on the following link to see the Code in Action:

[YouTube](https://www.youtube.com/playlist?list=PLeLcvrwLe186jdI_AZlqik9ds1g0Cke86)

### Related products <Other books you may enjoy>
* Python for Finance Cookbook [[Packt]](https://www.packtpub.com/data/python-for-finance-cookbook?utm_source=github&utm_medium=repository&utm_campaign=9781789618518) [[Amazon]](https://www.amazon.com/dp/1789618517)

* The Python Workshop [[Packt]](https://www.packtpub.com/programming/the-python-workshop?utm_source=github&utm_medium=repository&utm_campaign=9781839218859) [[Amazon]](https://www.amazon.com/dp/1839218851)

## Get to Know the Author
**Sam Morley**
is an experienced lecturer in mathematics and a researcher in pure mathematics. He is currently a research software engineer at the University of Oxford working on the DataSig project. He was previously a lecturer in mathematics at the University of East Anglia and Nottingham Trent University. His research interests lie in functional analysis, especially Banach algebras. Sam has a firm commitment to providing high-quality, inclusive, and enjoyable teaching, with the aim of inspiring his students and spreading his enthusiasm for mathematics.

### Suggestions and Feedback
[Click here](https://docs.google.com/forms/d/e/1FAIpQLSdy7dATC6QmEL81FIUuymZ0Wy9vH1jHkvpY57OiMeKGqib_Ow/viewform) if you have any feedback or suggestions.
